package com.bonus.core.customer.dto;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class CustAccQueryTempDto {
   private String authCode;
   private String machineSn;
   private String custThirdId;
   private String mchNum;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("身份证号")
   private String idCard;
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;
   @ApiModelProperty("年龄")
   private Integer age;
   @ApiModelProperty("生日")
   private LocalDate birthday;
   @ApiModelProperty("人脸照片地址")
   private String custPhotoUrl;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构编号(商户自定义)")
   private String orgNum;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("所属位置")
   private Long placeId;
   @ApiModelProperty("位置编号(商户自定义)")
   private String placeNum;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("家庭地址")
   private String homeAddr;
   @ApiModelProperty("人员状态 1-正常 2-注销")
   private Integer custState;
   @ApiModelProperty("卡号")
   private String cardNum;
   @ApiModelProperty("卡序列号 物理卡号")
   private String serialNum;
   @ApiModelProperty("卡类型")
   private Integer cardType;
   @ApiModelProperty("卡状态 1-正常 4-挂失")
   private Integer cardStatus;
   @ApiModelProperty("账户状态 1正常  2冻结  3销户")
   private Integer accStatus;

   public void setCustPhotoUrl(String custPhotoUrl) {
      this.custPhotoUrl = SysUtil.getCutPath(custPhotoUrl);
   }

   public String getAuthCode() {
      return this.authCode;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public Integer getSex() {
      return this.sex;
   }

   public Integer getAge() {
      return this.age;
   }

   public LocalDate getBirthday() {
      return this.birthday;
   }

   public String getCustPhotoUrl() {
      return this.custPhotoUrl;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceNum() {
      return this.placeNum;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getHomeAddr() {
      return this.homeAddr;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public String getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getCardType() {
      return this.cardType;
   }

   public Integer getCardStatus() {
      return this.cardStatus;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setAge(final Integer age) {
      this.age = age;
   }

   public void setBirthday(final LocalDate birthday) {
      this.birthday = birthday;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceNum(final String placeNum) {
      this.placeNum = placeNum;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setHomeAddr(final String homeAddr) {
      this.homeAddr = homeAddr;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setCardNum(final String cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCardType(final Integer cardType) {
      this.cardType = cardType;
   }

   public void setCardStatus(final Integer cardStatus) {
      this.cardStatus = cardStatus;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }



}
